#pragma once

#include "共通\refCTimerBase.h"
#include "refISoundDevice.h"

namespace FDK
{
	public ref class CSoundTimer : CTimerBase
	{
	public:
		virtual property Int64 nシステム時刻ms
		{
			Int64 get() override;
		}

		CSoundTimer( ISoundDevice^ device );
		~CSoundTimer();

	protected:
		ISoundDevice^ rDevice;

	private:
		CDisposed^ Disposed;
	};
}
